Next: GNU/Linux, Up: Some caveats on OS-specific issues [Contents][Index]

#### 5.4.1 GNU/Hurd

Since GNU/Hurd is Multiboot-compliant, it is easy to boot it; there is nothing special about it. But do not forget that you have to specify a root partition to the kernel.

1. Set GRUB’s root device to the same drive as GNU/Hurd’s. The command `search --set=root --file /boot/gnumach.gz` or similar may help you (see search).
2. Load the kernel and the modules, like this:

       grub> multiboot /boot/gnumach.gz root=device:hd0s1
       grub> module  /hurd/ext2fs.static ext2fs --readonly \
                          --multiboot-command-line='${kernel-command-line}' \
                          --host-priv-port='${host-port}' \
                          --device-master-port='${device-port}' \
                          --exec-server-task='${exec-task}' -T typed '${root}' \
                          '$(task-create)' '$(task-resume)'
       grub> module /lib/ld.so.1 exec /hurd/exec '$(exec-task=task-create)'

3. Finally, run the command `boot` (see boot).